#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct DataReviewAlertMetrics {
    #[serde(rename = "pendingReview")]
    pending_review: i32,
    #[serde(rename = "closedWithIgnore")]
    closed_with_ignore: i32,
    #[serde(rename = "closedWithFurtherAction")]
    closed_with_further_action: i32,
}
impl DataReviewAlertMetrics {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        pending_review: i32,
        closed_with_ignore: i32,
        closed_with_further_action: i32,
    ) -> Self {
        Self::builder()
            .pending_review(pending_review)
            .closed_with_ignore(closed_with_ignore)
            .closed_with_further_action(closed_with_further_action)
            .build()
    }
    #[inline]
    pub fn pending_review(&self) -> i32 {
        self.pending_review
    }
    #[inline]
    pub fn closed_with_ignore(&self) -> i32 {
        self.closed_with_ignore
    }
    #[inline]
    pub fn closed_with_further_action(&self) -> i32 {
        self.closed_with_further_action
    }
}
